---
title: GeolocationPosition
slug: Web/API/GeolocationPosition
tags:
  - API
  - Geolocation API
  - GeolocationPosition
  - Interface
  - Secure context
---
<div>{{securecontext_header}}{{APIRef("Geolocation API")}}</div>

<p>The <strong><code>GeolocationPosition</code></strong> interface represents the position of the concerned device at a given time. The position, represented by a {{domxref("GeolocationCoordinates")}} object, comprehends the 2D position of the device, on a spheroid representing the Earth, but also its altitude and its speed.</p>

<h2 id="Properties">Properties</h2>

<p><em>The <code>GeolocationPosition</code> interface <em>doesn't inherit any properties</em></em>.</p>

<dl>
 <dt>{{domxref("GeolocationPosition.coords")}} {{readonlyInline}} {{securecontext_inline}}</dt>
 <dd>Returns a {{domxref("GeolocationCoordinates")}} object defining the current location.</dd>
 <dt>{{domxref("GeolocationPosition.timestamp")}} {{readonlyInline}} {{securecontext_inline}}</dt>
 <dd>Returns a {{domxref("DOMTimeStamp")}} representing the time at which the location was retrieved.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em><em>The </em><code>GeolocationPosition</code><em> interface <em>neither implements, nor inherits any methods.</em></em></em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Geolocation', '#position_interface', 'GeolocationPosition')}}</td>
   <td>{{Spec2('Geolocation')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GeolocationPosition")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Geolocation_API/Using">Using the Geolocation API</a></li>
 <li>{{domxref("Geolocation")}}</li>
</ul>
